EndElement (Java Platform SE 8 )
Keywords: javax.xml.stream.events.EndElement interface
Date: 2018-07-01

compact2, compact3
javax.xml.stream.events

## Interface EndElement

- All Superinterfaces:
    XMLEvent, XMLStreamConstants

      public interface EndElement
      extends XMLEvent

  An interface for the end element event. An EndElement is reported for each End Tag in the document.
  Since:
    1.6
  Version:
    1.0
  See Also:
    `XMLEvent`

- - ### Field Summary

    - ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

      `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `QName` | `getName()` Get the name of this event
    `Iterator` | `getNamespaces()` Returns an Iterator of namespaces that have gone out of scope.

    - ### Methods inherited from interface javax.xml.stream.events.XMLEvent

      `asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

- - ### Method Detail

    - #### getName

          QName getName()

      Get the name of this event
      Returns:
        the qualified name of this event

    - #### getNamespaces

          Iterator getNamespaces()

      Returns an Iterator of namespaces that have gone out of scope. Returns an empty iterator if no namespaces have gone out of scope.
      Returns:
        an Iterator over Namespace interfaces, or an empty iterator

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.